Skip to content

Lists transactions

Request

GET {{baseURL}}/v2/transactions

This endpoint returns a paginated list of settlement batches for the authenticated merchant. Supports filtering by batch status, date range, specific batch identifiers, and payment processor

Items returned here present a limited amount of details. These are intended to be a brief summary of the transactions. For complete details of a specific transaction, see GET /v2/transactions/{transactionId}.

See Also:
To retrieve a transaction by ID, see GET /v2/transactions/{transactionId}.
To create a new transaction, see POST /v2/transactions.
To capture a transaction, see POST /v2/transactions/{transactionId}/capture.

Security
Bearer
Query
pageIndexinteger, (int32), >= 0

Specifies the page number of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.

For page size information, see pageSize.

Example: 0

Default:0
pageSizeinteger, (int32), [ 1 .. 100 ]

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

For page numbering information, see pageIndex.

Example: 50

Default:20
sortBystring

Specifies a field name to sort the results by.

If null or omitted, results come back newest first.

Valid values are:
cardTokenType
customerCompanyName
customerName
maskedCardNumber
merchantCompanyName
paymentMethodType
processedAmount
transactionDateTime
transactionId
transactionStatus

Example:sortBy=transactionDateTime
sortOrderstring

Specifies the sort order.

The sort order is specified by the sortOrder value.
The field that gets sorted by is specified by the sortBy value.

Valid values are:

ValueDescription
ascSort results from the lowest value to the highest value.
descSort results from the highest value to the lowest value.
Default:"asc"
Example:sortOrder=desc
fromDatestring, (date-time)

Specifies a filter to return items created on or after this date (in an ISO 8601 date-time format).

If only fromDate is specified, the search returns all available items from the fromDate value to the present. The fields fromDate and toDate may be used together to create an exclusive range. We recommend creating an explicit range to avoid a potentially excessive number of returns.

Example:fromDate=2025-01-27T12:05:54.322Z
toDatestring, (date-time)

Specifies a filter to return items created on or to this date (in an ISO 8601 date-time format).

If only toDate is specified, the search returns all available items up to the toDate value. The fields fromDate and toDate may be used together to create an exclusive range. We recommend creating an explicit range to avoid a potentially excessive number of returns.

Example:toDate=2026-02-27T12:05:54.322Z
sourceTypestring

Specifies a filter by the transaction source.

Valid values are:

ValueDescription
ApiKeyAn external application created the transaction using an API key.
InvoiceA billed invoice created the transaction.
MobileAppA mobile application created the transaction.
PortalA staff member created the transaction through the web portal.
QuickPaymentA one-time payment link created the transaction.
SubscriptionA recurring subscription created the transaction.
TapToPayA mobile device using tap to pay created the transaction.
TerminalA physical payment terminal created the transaction.
WebComponentAn embedded web component created the transaction.
Enum:"ApiKey""Invoice""MobileApp""Portal""QuickPayment""Subscription""TapToPay""Terminal""WebComponent"
Example:sourceType=ApiKey
sourceIdstring, (uuid)

Specifies a filter by the source identifier.

Example:sourceId=81915d04-1f2a-4b3c-4d5e-6f7a8b9c0d36
batchIdstring

Specifies a filter by the settlement batch identifier.

Use null to return transactions not yet settled into a batch.
Omit this value to not filter by batch identifier.

Example:batchId=0b7aa955-6b52-4dcb-b0d8-7c3d82f27b62
transactionStatusstring

Specifies a filter by the aggregated transaction status.

Valid values are:

StatusDescriptionType
AuthorizedPayment approved but funds not yet captured.Card
CancelledTransaction stopped before it completed.ACH
CapturedApproved funds collected from the card.Card
ChargedBackCardholder disputed the charge with their bank.ACH
ClearedFunds finished processing and settled.ACH
DeclinedPayment rejected by the bank or processor.Card/ACH
FailedTransaction could not complete due to an error.Card/ACH
HeldTransaction paused and awaiting release.ACH
HeldByProcessorProcessor paused the transaction for review.ACH
InformationalRecord used for reference only, not a live charge.Card
InProgressTransaction is still processing.ACH
PartiallyAuthorizedOnly part of the requested amount was approved.Card
PendingTransaction is waiting for a result.Card/ACH
RefundedFunds returned to the cardholder.Card
ScheduledTransaction set to run at a future time.ACH
SettledFunds moved from issuer to the merchant account.Card
VerifiedCard or account confirmed as valid.Card
VoidedAuthorization canceled before capture.Card
Enum:"Authorized""Cancelled""Captured""ChargedBack""Cleared""Declined""Failed""Held""HeldByProcessor""Informational"
Example:transactionStatus=Authorized
paymentMethodTypestring

Specifies a filter by the payment method type.

Valid values are:

TypeDescription
ACHPayment made through an ACH bank transfer.
CardPayment made with a credit or debit card.
CashPayment made with physical currency.
Example:paymentMethodType=Card
customerIdstring, (uuid)

Specifies a filter by the customer identifier.

Example:customerId=8fa8e727-73c6-436e-b56f-6f55aabf3b1c
merchantIdstring, (uuid)

Specifies a filter by the merchant identifier.

Example:merchantId=92a26e15-2a3b-4c4d-5e6f-7a8b9c0d1e47
minAmountnumber, (double), decimal places <= 2

Specifies a filter by the minimum transaction amount to include in the results.

Only transactions with this amount or more are returned.

If only minAmount is specified, the search returns all transactions with at least this amount. The fields minAmount and maxAmount may be used together to create an exclusive range. We recommend creating an explicit range to avoid a potentially excessive number of returns.

Example:minAmount=500
maxAmountnumber, (double), decimal places <= 2

Specifies a filter by the maximum transaction amount to include in the results.

Only transactions with this amount or less are returned.

If only maxAmount is specified, the search returns all transactions with no more than this amount. The fields minAmount and maxAmount may be used together to create an exclusive range. We recommend creating an explicit range to avoid a potentially excessive number of returns.

Example:maxAmount=500
referenceIdstring or null, [ 0 .. 36 ] characters

Specifies a filter by the reference identifier provided by the merchant.

A referenceId is a duplicate-check key. It allows the same card and amount combination to be charged multiple times when the reference identifiers are different.

Example:referenceId=REF-EXT-12345
curl -i -X GET \
  'https://sandbox.api.flute.com/v2/transactions?pageIndex=0&pageSize=20&sortBy=transactionDateTime&sortOrder=desc&fromDate=2025-01-27T12%3A05%3A54.322Z&toDate=2026-02-27T12%3A05%3A54.322Z&sourceType=ApiKey&sourceId=81915d04-1f2a-4b3c-4d5e-6f7a8b9c0d36&batchId=0b7aa955-6b52-4dcb-b0d8-7c3d82f27b62&transactionStatus=Authorized&paymentMethodType=Card&customerId=8fa8e727-73c6-436e-b56f-6f55aabf3b1c&merchantId=92a26e15-2a3b-4c4d-5e6f-7a8b9c0d1e47&minAmount=500&maxAmount=500&referenceId=REF-EXT-12345' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects or null
pageInfoobject

Indicates an object describing the pagination status.

If additional pages to review are needed, repeat the exact same search but include a new pageIndex value. Typically, this will increment the current pageIndex by one. However, any valid value may be used. Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.
Response
{ "items": [ { "transactionId": "3a2257af-e059-4718-b1c6-ee60bd83816e", "transactionDateTime": "2025-06-15T14:30:56.264Z", "transactionStatus": "Captured", "paymentMethodType": "Card", "referenceId": "REF-001", "processedAmount": 115.5, "currencyCode": "USD", "amountBreakdown": { "baseAmount": 99.99, "tipAmount": 10, "tipRate": 0, "surchargeAmount": 5.5, "discountAmount": 0, "discountRate": 0 }, "cardDetails": { "maskedCardNumber": "411111******1111", "cardBrand": "Visa", "cardType": "Credit" }, "achDetails": null }, { "transactionId": "53c558a4-b01a-4a43-a8c1-1c9820250958", "transactionDateTime": "2025-06-15T10:00:56.264Z", "transactionStatus": "Captured", "paymentMethodType": "ACH", "referenceId": "REF-002", "processedAmount": 200, "currencyCode": "USD", "amountBreakdown": { "baseAmount": 200, "tipAmount": 0, "tipRate": 5.5, "surchargeAmount": 0, "discountAmount": 0, "discountRate": 0 }, "cardDetails": null, "achDetails": { "maskedAccountNumber": "****6789", "accountRoutingNumber": "****0001", "accountHolderType": "Personal", "accountType": "Checking", "secCode": "Web" } } ], "pageInfo": { "pageIndex": 0, "pageSize": 20, "totalItems": 150, "totalPages": 8, "hasMore": true } }